aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDaniel Rose <dr695h@att.com>2019-09-12 21:56:00 +0000
committerGerrit Code Review <gerrit@onap.org>2019-09-12 21:56:00 +0000
commit5fdb4076afc38e28c15c7eb9b5c55323a949e588 (patch)
treea5f10f337342776e375f5f0701136708e1ae6aac /scripts
parent3cb0864c7b6aff78919b869523c2c13acb6cd43a (diff)
parentf5ae348b6e7d5c5d4612ff6dc7a33bbeddfb4362 (diff)
Merge "POLICY: update of apache-maven repo URL"
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/policy/drools-pdp-script.sh8
-rwxr-xr-xscripts/policy/engine.sh8
2 files changed, 12 insertions, 4 deletions
diff --git a/scripts/policy/drools-pdp-script.sh b/scripts/policy/drools-pdp-script.sh
index fc8556ff..6e14931f 100755
--- a/scripts/policy/drools-pdp-script.sh
+++ b/scripts/policy/drools-pdp-script.sh
@@ -37,8 +37,12 @@ fi
# bring down maven
mkdir maven
cd maven
-curl -O http://apache.claz.org/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz
-tar -xzvf apache-maven-3.3.9-bin.tar.gz
+# download maven from automatically selected mirror server
+curl -vLO "https://www.apache.org/dyn/mirrors/mirrors.cgi?cca2=us&preferred=http://apache.claz.org/&action=download&filename=maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz"
+if ! tar -xzvf apache-maven-3.3.9-bin.tar.gz ; then
+ echo "Installation of maven has failed!"
+ exit 1
+fi
ls -l
export PATH=${PATH}:${WORK_DIR}/maven/apache-maven-3.3.9/bin
${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn -v
diff --git a/scripts/policy/engine.sh b/scripts/policy/engine.sh
index ef02be5a..3e9f3d42 100755
--- a/scripts/policy/engine.sh
+++ b/scripts/policy/engine.sh
@@ -37,8 +37,12 @@ fi
# bring down maven
mkdir maven
cd maven
-curl -O http://apache.claz.org/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz
-tar -xzvf apache-maven-3.3.9-bin.tar.gz
+# download maven from automatically selected mirror server
+curl -vLO "https://www.apache.org/dyn/mirrors/mirrors.cgi?cca2=us&preferred=http://apache.claz.org/&action=download&filename=maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz"
+if ! tar -xzvf apache-maven-3.3.9-bin.tar.gz ; then
+ echo "Installation of maven has failed!"
+ exit 1
+fi
ls -l
export PATH=${PATH}:${WORK_DIR}/maven/apache-maven-3.3.9/bin
${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn -v